activemq-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Paul Gale (JIRA)" <j...@apache.org>
Subject [jira] [Created] (AMQ-5636) Upgrade the bundled DBCP component. The current one is very old and buggy.
Date Wed, 04 Mar 2015 17:42:04 GMT
Paul Gale created AMQ-5636:
------------------------------

             Summary: Upgrade the bundled DBCP component. The current one is very old and
buggy.
                 Key: AMQ-5636
                 URL: https://issues.apache.org/jira/browse/AMQ-5636
             Project: ActiveMQ
          Issue Type: Improvement
          Components: JDBC, KahaDB
    Affects Versions: 5.11.0, 5.10.0
            Reporter: Paul Gale
            Priority: Critical
             Fix For: 5.11.1, 5.12.0


The current DBCP component that ships with ActiveMQ is version 1.4. It dates from Feb 2010.


After fours years of inactivity a number of releases were made in the last twelve months to
the DBCP component. The most recent version, 2.1, was released on Feb 23rd 2015.

Personally, I am seeing weird behavior with the DBCP 1.4 component when using it as a lease
locker with KahaDB. When a connection is dropped the DBCP component doesn't always handle
it correctly which manifests itself as a lease lock failure from the broker's standpoint.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message